Subject: [PATCH V3 3/5] ARM: tegra:add aliases and DMA requestor for serial nodes of Tegra114

From: [email-masked] (Stephen Warren)
Date: Fri, 15 Mar 2013 12:26:59 -0600

On 03/13/2013 02:02 PM, Stephen Warren wrote:
> On 03/13/2013 01:49 PM, Laxman Dewangan wrote:
>> Add APB DMA requestor and serial aliases for serial controller.
>> There will be two serial driver i.e. 8250 based simple serial driver
>> and APB DMA based serial driver for higher baudrate and performace.
>>
>> The simple serial driver get enabled with compatible "nvidia,tegra114-uart",
>> "nvidia,tegra20-uart" and APB DMA based driver will get enabled with
>> compatible "nvidia,tegra114-hsuart", "nvidia,tegra30-hsuart".
> 
>> +	/*
>> +	 * There are two serial driver i.e. 8250 based simple serial
>> +	 * driver and APB DMA based serial driver for higher baudrate
>> +	 * and performace. To enable the 8250 based driver, the compatible
>> +	 * is "nvidia,tegra114-uart", "nvidia,tegra20-uart" and to enable
>> +	 * the APB DMA based serial driver, the comptible is
>> +	 * "nvidia,tegra114-hsuart", "nvidia,tegra30-hsuart".
>> +	 */
> 
> Again, that text says you want either of:
> 
> compatible = "nvidia,tegra114-uart",   "nvidia,tegra20-uart";
> compatible = "nvidia,tegra114-hsuart", "nvidia,tegra30-hsuart";
> 
> (note Tegra20-vs-Tegra30 in the second compatible value)
> 
> Why isn't it instead:
> 
> compatible = "nvidia,tegra114-uart",   "nvidia,tegra20-uart";
> compatible = "nvidia,tegra114-hsuart", "nvidia,tegra20-hsuart";
> 
> (note both second compatible values say Tegra20)
> 
> I assume this is a typo.
> 
> I suppose I can fix this up when I apply it to avoid a resend, assuming
> it's wrong.

Since I haven't seen a reply to this, when I apply this, I'm going to
change the comment I quoted above to match the values I wrote above
under "why isn't it instead:".